質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

87.49%

rubygems1.x系をインストールしたい

受付中

回答 2

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 1,845
退会済みユーザー

退会済みユーザー

OpenFlowを勉強しようと思ってUbuntu14.04LTSでTremaをインストールしようとしています。端末で次のように入力してインストールしようとしましたがエラーになりました。

sudo gem install trema
そこで調べたところrubygemsが2.x系だとうまくインストールできないことがわかり、rubygems1.x系をインストールしようとしていますがうまくできません。

rubygems1.x系をインストールする方法はあるのでしょうか?

追記エラーの内容は次のとおりです
 /usr/bin/ruby2.1 -rubygems /var/lib/gems/2.1.0/gems/rake-10.4.2/bin/rake RUBYARCHDIR=/var/lib/gems/2.1.0/extensions/x86_64-linux/2.1.0/trema-0.4.7 RUBYLIBDIR=/var/lib/gems/2.1.0/extensions/x86_64-linux/2.1.0/trema-0.4.7
fatal: Not a git repository (or any of the parent directories): .git
fatal: Not a git repository (or any of the parent directories): .git
rake aborted!
NoMethodError: undefined method `ruby_opts=' for #<Reek::Rake::Task:0x00000000be26c0>
/var/lib/gems/2.1.0/gems/trema-0.4.7/Rakefile:972:in `block in <top (required)>'
/var/lib/gems/2.1.0/gems/reek-2.2.1/lib/reek/rake/task.rb:68:in `initialize'
/var/lib/gems/2.1.0/gems/trema-0.4.7/Rakefile:969:in `new'
/var/lib/gems/2.1.0/gems/trema-0.4.7/Rakefile:969:in `<top (required)>'
(See full trace by running task with --trace)

rake failed, exit code 1

Gem files will remain installed in /var/lib/gems/2.1.0/gems/trema-0.4.7 for inspection.
Results logged to /var/lib/gems/2.1.0/extensions/x86_64-linux/2.1.0/trema-0.4.7/gem_make.out
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

+1

trema インストールに必要な、Ubuntu 側のパッケージがインストールされていないのかもしれません

bundle install の度に、何度かビルドでコケることがありました
エラーメッセージを参考に、必要なパッケージをインストールしていきました

# 環境

* Docker
Image: ubuntu:14.04

# インストール手順

mkdir /tmp/install_trema/
cd /tmp/install_trema
gem install bundler
bundle init
echo "gem 'trema'" >> Gemfile
bundle install --path vendor/bundle

## 試したバージョン

(バージョン2系はRVM を利用)

gem:
* 1.8.23
* 2.4.8 (RVM)

ruby:
* 1.9.3p484
* 2.2.1p85 (RVM)

## trema インストール完了までにインストールしたパッケージ

apt-get install curl
apt-get install openvswitch-switch
apt-get install sqlite3 sqlite3-dev
apt-get install build-essential
apt-get install libpcap-dev
apt-get install ruby-glib2
apt-get install pkg-config
apt-get install libglib2.0-dev

## インストールされたtrema のバージョン

cat Gemfile.lock|grep trema
    trema (0.4.7)

# Links

Trema
trema/trema
Quick Start · trema/trema Wiki
Docker - Build, Ship, and Run Any App, Anywhere
ubuntu Repository | Docker Hub Registry - Repositories of Docker Images
RVM: Ruby Version Manager - RVM Ruby Version Manager - Documentation


(Docker イメージは、たとえばcurl が入ってなかったりと、本件には関係の薄いインストール作業があったかもしれません)

以上、ほぼ まっさらな環境で作業してみましたが、何か参考になれば幸いです

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2015/06/29 12:49

    RVMを使うのがミソですね

    キャンセル

0

Lubuntu13.04でのことですが、◆【改訂】OpenFlow フレームワーク Trema 0.4 のインストール手順【0.4.7対応】という記事で、rubygemをダウングレードしてのインストールをされているようです。
#記事の最後の方でやっておられます。

参考までに。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 87.49%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る